org.appng.xml.platform

## Class SectionelementDef

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.SectionelementDef

- All Implemented Interfaces:
    Serializable

      public class SectionelementDef
      extends BaseObject
      implements Serializable

  Defines an section-element within a `SectionDef`. A section-element can either be a `DatasourceRef` or a `ActionRef`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ActionRef` | `action`
    `protected DatasourceRef` | `datasource`
    `protected String` | `folded`
    `protected String` | `mode`
    `protected String` | `passive`
    `protected Label` | `title`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SectionelementDef()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionRef` | `getAction()` Gets the value of the action property.
    `DatasourceRef` | `getDatasource()` Gets the value of the datasource property.
    `String` | `getFolded()` If evaluating to `true`, the resulting `Sectionelement` will be displayed folded.
    `String` | `getMode()` The display mode for this element to be used by the template.
    `String` | `getPassive()` If evaluating to `true`, the resulting `Sectionelement` will not determine the title of the tab.
    `Label` | `getTitle()` Gets the value of the title property.
    `void` | `setAction(ActionRef value)` Sets the value of the action property.
    `void` | `setDatasource(DatasourceRef value)` Sets the value of the datasource property.
    `void` | `setFolded(String value)` Sets the value of the folded property.
    `void` | `setMode(String value)` Sets the value of the mode property.
    `void` | `setPassive(String value)` Sets the value of the passive property.
    `void` | `setTitle(Label value)` Sets the value of the title property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### title

          protected Label title

    - #### datasource

          protected DatasourceRef datasource

    - #### action

          protected ActionRef action

    - #### folded

          protected String folded

    - #### passive

          protected String passive

    - #### mode

          protected String mode

  - ### Constructor Detail

    - #### SectionelementDef

          public SectionelementDef()

  - ### Method Detail

    - #### getTitle

          public Label getTitle()

      Gets the value of the title property.
      Returns:
        possible object is `Label`

    - #### setTitle

          public void setTitle(Label value)

      Sets the value of the title property.
      Parameters:
        `value` - allowed object is `Label`

    - #### getDatasource

          public DatasourceRef getDatasource()

      Gets the value of the datasource property.
      Returns:
        possible object is `DatasourceRef`

    - #### setDatasource

          public void setDatasource(DatasourceRef value)

      Sets the value of the datasource property.
      Parameters:
        `value` - allowed object is `DatasourceRef`

    - #### getAction

          public ActionRef getAction()

      Gets the value of the action property.
      Returns:
        possible object is `ActionRef`

    - #### setAction

          public void setAction(ActionRef value)

      Sets the value of the action property.
      Parameters:
        `value` - allowed object is `ActionRef`

    - #### getFolded

          public String getFolded()

      If evaluating to `true`, the resulting `Sectionelement` will be displayed folded. If evaluating to `false`, the resulting `Sectionelement` will be displayed unfolded. If empty, the `Sectionelement` will not be foldable.
      Returns:
        possible object is `String`

    - #### setFolded

          public void setFolded(String value)

      Sets the value of the folded property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPassive

          public String getPassive()

      If evaluating to `true`, the resulting `Sectionelement` will not determine the title of the tab.
      Returns:
        possible object is `String`

    - #### setPassive

          public void setPassive(String value)

      Sets the value of the passive property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMode

          public String getMode()

      The display mode for this element to be used by the template.
      Returns:
        possible object is `String`

    - #### setMode

          public void setMode(String value)

      Sets the value of the mode property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.